org.apache.xmlgraphics.xmp

## Interface XMPConstants

-     public interface XMPConstants

  Constants used in XMP metadata.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADOBE_PDF_NAMESPACE` Namespace URI for the Adobe PDF Schema
    `static java.lang.String` | `DEFAULT_LANGUAGE` Default language for the xml:lang property
    `static java.lang.String` | `DUBLIN_CORE_NAMESPACE` Namespace URI for Dublin Core
    `static java.lang.String` | `PDF_A_EXTENSION`
    `static java.lang.String` | `PDF_A_IDENTIFICATION` Namespace URI for the PDF/A Identification Schema (from the technical corrigendum 1 of ISO 19005-1:2005, note that the trailing slash was missing in the original ISO 19005-1:2005 specification)
    `static java.lang.String` | `PDF_A_PROPERTY`
    `static java.lang.String` | `PDF_A_SCHEMA`
    `static java.lang.String` | `PDF_UA_IDENTIFICATION`
    `static java.lang.String` | `PDF_VT_IDENTIFICATION` Namespace URI for PDF VT
    `static java.lang.String` | `PDF_X_IDENTIFICATION` Namespace URI for PDF X
    `static java.lang.String` | `RDF_NAMESPACE` Namespace URI for RDF
    `static QName` | `RDF_VALUE` QName for rdf:value
    `static java.lang.String` | `XAP_MM_NAMESPACE` Namespace URI for XMP Media Management
    `static java.lang.String` | `XML_NS` Namespace URI for the xml: prefix
    `static java.lang.String` | `XMLNS_NAMESPACE` Namespace URI for the xmlns: prefix
    `static java.lang.String` | `XMP_BASIC_NAMESPACE` Namespace URI for the XMP Basic Schema
    `static java.lang.String` | `XMP_NAMESPACE` Namespace URI for XMP

- - ### Field Detail

    - #### XML_NS

          static final java.lang.String XML_NS

      Namespace URI for the xml: prefix
      See Also:
        Constant Field Values

    - #### XMLNS_NAMESPACE

          static final java.lang.String XMLNS_NAMESPACE

      Namespace URI for the xmlns: prefix
      See Also:
        Constant Field Values

    - #### XMP_NAMESPACE

          static final java.lang.String XMP_NAMESPACE

      Namespace URI for XMP
      See Also:
        Constant Field Values

    - #### RDF_NAMESPACE

          static final java.lang.String RDF_NAMESPACE

      Namespace URI for RDF
      See Also:
        Constant Field Values

    - #### DUBLIN_CORE_NAMESPACE

          static final java.lang.String DUBLIN_CORE_NAMESPACE

      Namespace URI for Dublin Core
      See Also:
        Constant Field Values

    - #### XMP_BASIC_NAMESPACE

          static final java.lang.String XMP_BASIC_NAMESPACE

      Namespace URI for the XMP Basic Schema
      See Also:
        Constant Field Values

    - #### ADOBE_PDF_NAMESPACE

          static final java.lang.String ADOBE_PDF_NAMESPACE

      Namespace URI for the Adobe PDF Schema
      See Also:
        Constant Field Values

    - #### PDF_X_IDENTIFICATION

          static final java.lang.String PDF_X_IDENTIFICATION

      Namespace URI for PDF X
      See Also:
        Constant Field Values

    - #### PDF_VT_IDENTIFICATION

          static final java.lang.String PDF_VT_IDENTIFICATION

      Namespace URI for PDF VT
      See Also:
        Constant Field Values

    - #### PDF_UA_IDENTIFICATION

          static final java.lang.String PDF_UA_IDENTIFICATION

      See Also:
        Constant Field Values

    - #### XAP_MM_NAMESPACE

          static final java.lang.String XAP_MM_NAMESPACE

      Namespace URI for XMP Media Management
      See Also:
        Constant Field Values

    - #### PDF_A_IDENTIFICATION

          static final java.lang.String PDF_A_IDENTIFICATION

      Namespace URI for the PDF/A Identification Schema (from the technical corrigendum 1 of ISO 19005-1:2005, note that the trailing slash was missing in the original ISO 19005-1:2005 specification)
      See Also:
        Constant Field Values

    - #### DEFAULT_LANGUAGE

          static final java.lang.String DEFAULT_LANGUAGE

      Default language for the xml:lang property
      See Also:
        Constant Field Values

    - #### RDF_VALUE

          static final QName RDF_VALUE

      QName for rdf:value

    - #### PDF_A_SCHEMA

          static final java.lang.String PDF_A_SCHEMA

      See Also:
        Constant Field Values

    - #### PDF_A_PROPERTY

          static final java.lang.String PDF_A_PROPERTY

      See Also:
        Constant Field Values

    - #### PDF_A_EXTENSION

          static final java.lang.String PDF_A_EXTENSION

      See Also:
        Constant Field Values

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.